import { Eny } from "./utils";
import { Valit } from "./valit";
declare global {
    namespace vality {
        interface valits {
            array: <E extends Eny>(e: E) => Valit<E[], {
                minLength?: number;
                maxLength?: number;
            }>;
            tuple: <E extends Eny[]>(...es: E) => Valit<E>;
            optional: <E extends Eny>(e: E) => Valit<E | undefined>;
            enum: <E extends Eny>(...es: E[]) => Valit<E>;
            object: <E extends Record<string, Eny>>(v: E) => Valit<E, {
                bail?: boolean;
            }>;
        }
    }
}
