import type { GuardFunction } from "./guard";
import type { Eny, RSA } from "./utils";
import type { Valit, ValitFunction } from "./valit";
declare type RelationType = vality.Config extends {
    RelationType: infer R;
} ? R : string;
declare type ValitToType<T extends Eny, _D> = T extends readonly [infer U] ? Parse<U, _D>[] : T extends readonly [...any] ? Parse<T[number], _D> : T extends ValitFunction<infer U, infer O> ? U extends [...any[]] ? {
    [K in keyof U]: Parse<U[K], _D>;
} : Parse<U, _D> : T extends Valit<infer U, infer O> ? U extends [...any[]] ? {
    [K in keyof U]: Parse<U[K], _D>;
} : Parse<U, _D> : T extends GuardFunction<infer U, infer O> ? U : T;
export declare type Parse<T, _D = never> = T extends GuardFunction<any, any> ? ValitToType<T, _D> : T extends () => infer U ? false extends _D ? Parse<U, true> : true extends _D ? RelationType : Parse<U, _D> : T extends readonly any[] ? ValitToType<T, _D> : T extends RSA ? {
    -readonly [K in keyof T]: Parse<T[K], _D>;
} : ValitToType<T, _D>;
export declare type ParseOut<T> = Parse<T>;
export declare type ParseIn<T> = Parse<T, false>;
export {};
